#ifndef __GUI_H__
#define __GUI_H__

#include <gtkmm.h>
#include <iostream>

class Gui : public Gtk::Window
{

public:
    Gui();
    virtual ~Gui();

protected:

    //Signal handlers:
    virtual bool button_press(GdkEventButton* event);
    virtual void menuitem_response(Glib::ustring string);

    //Member widgets:

    Gtk::Menu menu;
    Gtk::MenuItem menu_items0;
    Gtk::MenuItem menu_items1;
    Gtk::MenuItem menu_items2;
    Gtk::MenuItem root_menu;
    Gtk::VBox vbox;
    Gtk::MenuBar menu_bar;
    Gtk::EventBox event_box;
    Gtk::Label label;

};

#endif

